---
Name: RSeQC
URL: http://rseqc.sourceforge.net/
Description: >
  RSeQC is a package that provides a number of useful modules that can
  comprehensively evaluate high throughput RNA-seq data.
---

The RSeQC module parses results generated by
[RSeQC](http://rseqc.sourceforge.net/),
a package that provides a number of useful modules that can
comprehensively evaluate high throughput RNA-seq data.

Supported scripts:

- `bam_stat`
- `gene_body_coverage`
- `infer_experiment`
- `inner_distance`
- `junction_annotation`
- `junction_saturation`
- `read_distribution`
- `read_duplication`
- `read_gc`
- `tin`

You can choose to hide sections of RSeQC output and customise their order.
To do this, add and customise the following to your MultiQC config file:

```yaml
rseqc_sections:
  - read_distribution
  - tin
  - gene_body_coverage
  - inner_distance
  - read_gc
  - read_duplication
  - junction_annotation
  - junction_saturation
  - infer_experiment
  - bam_stat
```

Change the order to rearrage sections or remove to hide them from the report.

Note that some scripts (for example, `junction_annotation.py`) produce the results used by MultiQC as standard-error.
To use with MultiQC, make sure that you redirect this to a file using `2> mysample.log`.
